## golang-github-masterminds-vcs-dev 1.13.3

=== Makefile ===
GOLANGCI_LINT_VERSION?=1.45.0
GOLANGCI_LINT_SHA256?=ca06a2b170f41a9e1e34d40ca88b15b8fed2d7e37310f0c08b7fc244c34292a9
GOLANGCI_LINT=/usr/local/bin/golangci-lint

$(GOLANGCI_LINT):
	curl -sSLO https://github.com/golangci/golangci-lint/releases/download/v${GOLANGCI_LINT_VERSION}/golangci-lint-${GOLANGCI_LINT_VERSION}-linux-amd64.tar.gz
	shasum -a 256 golangci-lint-${GOLANGCI_LINT_VERSION}-linux-amd64.tar.gz | grep "^${GOLANGCI_LINT_SHA256}  " > /dev/null
	tar -xf golangci-lint-${GOLANGCI_LINT_VERSION}-linux-amd64.tar.gz
	sudo mv golangci-lint-${GOLANGCI_LINT_VERSION}-linux-amd64/golangci-lint /usr/local/bin/golangci-lint
	rm -rf golangci-lint-${GOLANGCI_LINT_VERSION}-linux-amd64*

.PHONY: test
test:
	@echo "==> Running tests"
	go test -v

.PHONY: lint
lint: $(GOLANGCI_LINT)
	@$(GOLANGCI_LINT) run

## golang-github-masterminds-vcs-dev 1.6.0

=== debian/changelog ===
golang-github-masterminds-vcs-dev (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 23 Apr 2016 16:26:29 +0800

golang-github-masterminds-vcs-dev (1.5.1-2) unstable; urgency=medium

  * Change maintainer to Debian Go Packaging Team

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 17 Apr 2016 13:30:16 +0800

golang-github-masterminds-vcs-dev (1.5.1-1) unstable; urgency=low

  * Initial release. Closes: #821108

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 16 Apr 2016 01:22:47 +0800

=== debian/control ===
Source: golang-github-masterminds-vcs-dev
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9),
               dh-golang,
               golang-go
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-masterminds-vcs-dev.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-masterminds-vcs-dev.git
Homepage: https://github.com/Masterminds/vcs

Package: golang-github-masterminds-vcs-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: VCS Repository Management for Go
 Manage repos in varying version control systems with ease through a common
 interface. Supported VCS are Git, SVN, Bazaar, and Mercurial.

## golang-github-masterminds-vcs-dev 1.6.1

=== debian/changelog ===
golang-github-masterminds-vcs-dev (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Add Built-Using.
  * Add Go-Import-Path.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 02 May 2016 23:09:41 +0800

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,14 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-masterminds-vcs-dev.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-masterminds-vcs-dev.git
 Homepage: https://github.com/Masterminds/vcs
+XBS-Go-Import-Path: github.com/Masterminds/vcs
 
 Package: golang-github-masterminds-vcs-dev
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Description: VCS Repository Management for Go
  Manage repos in varying version control systems with ease through a common
  interface. Supported VCS are Git, SVN, Bazaar, and Mercurial.

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
https://github.com/Masterminds/vcs/releases .*/([\d\.]*)\.tar.gz

## golang-github-masterminds-vcs-dev 1.7.0

=== debian/changelog ===
golang-github-masterminds-vcs-dev (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 08 May 2016 13:18:09 +0800

## golang-github-masterminds-vcs-dev 1.8.0

=== debian/changelog ===
golang-github-masterminds-vcs-dev (1.8.0-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: handle "v" prefix.
  * d/control: drop Built-Using field.
  * d/control: drop Multi-Arch field.

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Jul 2016 07:15:10 +0200

## golang-github-masterminds-vcs-dev 1.9.0

=== debian/changelog ===
golang-github-masterminds-vcs-dev (1.9.0-1) unstable; urgency=medium

  * New upstream version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 05 Dec 2016 15:23:01 +0800

## golang-github-masterminds-vcs-dev 1.10.0

=== debian/changelog ===
golang-github-masterminds-vcs-dev (1.10.0-2) unstable; urgency=medium

  * d/patch: fix error when exporting git submodules.

 -- Vincent Bernat <bernat@debian.org>  Tue, 21 Mar 2017 20:48:49 +0100

golang-github-masterminds-vcs-dev (1.10.0-1) unstable; urgency=medium

  * New upstream version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 17 Jan 2017 00:13:05 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>=9),
                dh-golang,
                golang-go
@@ -14,10 +15,8 @@
 
 Package: golang-github-masterminds-vcs-dev
 Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
 Description: VCS Repository Management for Go
  Manage repos in varying version control systems with ease through a common
  interface. Supported VCS are Git, SVN, Bazaar, and Mercurial.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DH_GOPKG := github.com/Masterminds/vcs

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	# The test needs network access, which violate Debian Policy 4.9, so we
	# need to disable it.
	#
	# https://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules

## golang-github-masterminds-vcs-dev 1.11.1

=== debian/changelog ===
golang-github-masterminds-vcs-dev (1.11.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.0.0.
  * Bump compat to 10.
  * Drop patch that upstream already merged.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 21 Jun 2017 08:12:07 +0800

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,17 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>= 10),
+               bzr,
                dh-golang,
-               golang-go
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-masterminds-vcs-dev.git
+               git,
+               golang-go,
+               mercurial,
+               subversion,
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/git/pkg-go/packages/golang-github-masterminds-vcs-dev.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-masterminds-vcs-dev.git
 Homepage: https://github.com/Masterminds/vcs
-XBS-Go-Import-Path: github.com/Masterminds/vcs
 
 Package: golang-github-masterminds-vcs-dev
 Architecture: all

## golang-github-masterminds-vcs-dev 1.12.0

=== debian/changelog ===
golang-github-masterminds-vcs-dev (1.12.0-4) unstable; urgency=medium

  * Team upload.
  * Switch to XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 14:49:46 +0100

golang-github-masterminds-vcs-dev (1.12.0-3) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Feb 2018 00:31:02 -0500

golang-github-masterminds-vcs-dev (1.12.0-2) unstable; urgency=medium

  * Team upload.
  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 14:28:31 -0500

golang-github-masterminds-vcs-dev (1.12.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.1.3.
    * Use https in debian/copyright Format.
    * Change Priority to optional.
  * Bump compat to 11.
  * Update Vcs-* to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 19 Jan 2018 15:54:35 +0800

=== debian/control ===
Source: golang-github-masterminds-vcs-dev
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 11),
               bzr,
               dh-golang,
               git,
               golang-go,
               mercurial,
               subversion,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-masterminds-vcs-dev
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-masterminds-vcs-dev.git
Homepage: https://github.com/Masterminds/vcs
XS-Go-Import-Path: github.com/Masterminds/vcs

Package: golang-github-masterminds-vcs-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: VCS Repository Management for Go
 Manage repos in varying version control systems with ease through a common
 interface. Supported VCS are Git, SVN, Bazaar, and Mercurial.

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
https://github.com/Masterminds/vcs/releases .*/v?([\d\.]*)\.tar.gz

## golang-github-masterminds-vcs-dev 1.13.3

=== debian/changelog ===
golang-github-masterminds-vcs-dev (1.13.3-1) unstable; urgency=medium

  * New upstream version 1.13.3.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/control: Bump compat to 13.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 18 Sep 2025 23:23:37 +0800

golang-github-masterminds-vcs-dev (1.12.0-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop former test deps bzr, mercurial, subversion (Closes: #1113786)

  [ Michael Stapelberg ]
  * update debian/gitlab-ci.yml (using salsa.debian.org/go-team/ci/cmd/ci)
  * update debian/gitlab-ci.yml (using salsa.debian.org/go-team/ci/cmd/ci)

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12
  * Set debhelper-compat version in Build-Depends
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse
  * Apply multi-arch hints. + golang-github-masterminds-vcs-dev: Add Multi-Arch: foreign

 -- Bastian Germann <bage@debian.org>  Tue, 02 Sep 2025 17:48:58 +0200

=== debian/control ===
Source: golang-github-masterminds-vcs-dev
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               git,
               golang-go,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-masterminds-vcs-dev
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-masterminds-vcs-dev.git
Homepage: https://github.com/Masterminds/vcs
XS-Go-Import-Path: github.com/Masterminds/vcs

Package: golang-github-masterminds-vcs-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: VCS Repository Management for Go
 Manage repos in varying version control systems with ease through a common
 interface. Supported VCS are Git, SVN, Bazaar, and Mercurial.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
 
-export DH_GOPKG := github.com/Masterminds/vcs
 
 %:
 	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/"
  https://github.com/Masterminds/vcs/tags .*/v?(\d\S*)\.tar\.gz debian
